Subject: Re: bug#24923: 25.1; Lisp watchpoints

From: [email-masked]
Date: Sun, 20 Nov 2016 14:26:15 -0500

Eli Zaretskii <[email-masked]> writes:

>> +changes to the objects referenced by variables are not detected.  For
>> +details, see @xref{Watching Variables}.
>                 ^^^^^
> @xref already generates "See", capitalized, so you want @ref here.
>
>> +Each variable has a list of watch functions stored in its
>> +@code{watchers} symbol property, @xref{Symbol Properties}.
>                                     ^^^^^
> Either "see @ref" or "@pxref", because @xref generates a capitalized
> "See", and so is only appropriate at the beginning of a sentence.

@xref seems to be generating lowercase "see" for me, perhaps because I'm
using makeinfo 4.13?  I'll change to @ref anyway.

>
>> +@defun add-variable-watcher symbol watch-function
>> +This function arranges for @var{watch-function} to be called whenever
>> +@var{symbol} (or any of its aliases @pxref{Variable Aliases}) are
>                                       ^
>> +modified.
>
> A comma is missing here.  Also, I believe "is modified" reads better
> here.  Or maybe replace the parentheses with commas, then plural
> should be okay, I think.

Hmm, maybe rephrasing like this:

    @defun add-variable-watcher symbol watch-function
    This function arranges for @var{watch-function} to be called whenever
    @var{symbol} is modified.  Modifications through aliases
    (@pxref{Variable Aliases}) will have the same effect.